#include <bits/stdc++.h>
using namespace std;

bool pro(int x)
{
    for(int i=1; i*i<x; i++)
    {
        if(sqrt(x-i*i)*sqrt(x-i*i)==x-i*i)
        {
            return true;
        }
    }
    return false;
}
int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    int n;
    cin>>n;
    for(int i=0; i<n; i++)
    {
        int x;
        cin>>x;
        if(pro(x))
        {
            cout<<1;
        }
        else
        {
            cout<<0;
        }
    }
    cout<<'\n';
    return 0;
}